import { BinaryScalar, NodeMetadata } from "./object-graph";
export interface FormatSpecifier {
    propertyKey(key: string): string;
    constructorTag(ctor: string): string;
    arrayPrefix: string;
    indent: string;
    threwAlert(error: any): string;
    sparseArrayPrefix(index: string): string;
    circularReference: string;
    number(num: number): string;
    string(str: string): string;
    symbol(sym: Symbol): string;
    boolean(bool: boolean): string;
    date(date: Date): string;
    regexp(regexp: RegExp): string;
    null: string;
    undefined: string;
    arrayDepthExceeded: string;
    sizeExceededToken: string;
    unreoslvedGetter: string;
    emptyObject(ctor: Function, metadata: NodeMetadata): any;
    binary({name, size}: BinaryScalar): string;
}
export declare type YamprintTheme = {
    [K in keyof FormatSpecifier]?: (s: string) => string;
};
export declare class YamprintFormatter implements FormatSpecifier {
    private _formatCtorTag(line);
    emptyObject(ctor: Function, metadata: NodeMetadata): string;
    propertyKey(key: string): string;
    theme(theme: YamprintTheme): any;
    constructorTag(ctor: any): string;
    arrayPrefix: string;
    sparseArrayPrefix(index: string): string;
    function(f: Function): string;
    binary({name, size}: BinaryScalar): string;
    threwAlert(err: any): string;
    circularReference: string;
    emptyArray: string;
    arrayDepthExceeded: string;
    sizeExceededToken: string;
    indent: string;
    unreoslvedGetter: string;
    number(n: any): any;
    lineInMultilineBlock(line: string): string;
    string(s: string): string;
    symbol(s: any): any;
    boolean(b: any): any;
    undefined: string;
    null: string;
    date(d: any): any;
    regexp(r: any): any;
}
