import { YamprintFormatter, YamprintTheme } from "./yamprint-formatter";
import { GraphBuilderRules as YamprintRules } from "./graph-builder";
export { YamprintRules };
export interface Yamprinter {
    /**
     * Returns a string representation of the object using the default yamprinter.
     */
    (objToPrint: any): string;
    extend(optionTransform?: Partial<YamprintOptions> | ((options: YamprintOptions & {
        formatter: YamprintFormatter;
    }) => Partial<YamprintOptions>)): Yamprinter;
}
export declare type YamprintOptions = YamprintRules & {
    formatter: YamprintFormatter | YamprintTheme;
};
export declare const yamprint: Yamprinter;
